ubuntu/+source/libshout:debian/wheezy

Last commit made on 2012-02-16
Get this branch:
git clone -b debian/wheezy https://git.launchpad.net/ubuntu/+source/libshout
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/wheezy
Repository:
lp:ubuntu/+source/libshout

Recent commits

8d0b77d... by Alessio Treglia on 2012-02-15

Import patches-unapplied version 2.2.2-8 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a2de8dc415554c2479e489b3adf84ce99032377b

New changelog entries:
  * Team upload.
  [ Alessio Treglia ]
  * Introduce MultiArch support. Thanks to Steve Langasek for
    the original patch: (Closes: #652504)
    - debian/control:
      + Bump cdbs minimum requirement to 0.4.93~.
      + Don't build-depend on dh-buildinfo, which is non multiarch-safe.
      + Regenerate.
    - debian/rules:
      + Move pkgconfig files into multiarch path.
      + Don't set DH_COMPAT in debian/rules.
  [ Jonas Smedegaard ]
  * Add README.source, documenting use of git-buildpackage and CDBS
    (replacing README.cdbs-tweaks).

a2de8dc... by Jonas Smedegaard <email address hidden> on 2011-12-19

Import patches-unapplied version 2.2.2-7 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 71937b20fd67d791e03b18a3a7722f8099e82c26

New changelog entries:
  * Modernize CDBS:
    + Drop local snippets: Now upstream.
    + Suppress optional snippets to ease backporting.
    + Declare build-dependencies recursively expanded (using = not := ).
    + Stop build-dependency tidying (done upstream now).
  * Update package relations:
    + Relax to build-depend unversioned when satisfied even in
      oldstable:
      - cdbs
      - debhelper
      - libogg-dev
      - libvorbis-dev
      - libtheora-dev
      - d-shlibs
    + Drop obsolete/superfluous build-dependencies:
      - devscripts
      - quilt
      - patchutils
  * Stop cleanup of debian subdir: superfluous with source format 3.0.
  * Improve d-shlibs handling:
    + Add local ld1-dev quirk (duplicating recent upstream quirk, to
      ease backporting).
      Closes: bug#650546. Thanks to Samuel Thibault.
    + Stop using local hacked copy (libspeex1-dev quirk now upstream).
    + Drop superfluously invoking d-devlibdeps (done implicitly by
      d-shlibmove).
    + Tighten rules to ensure invoked only once.
  * Bump debhelper compatilibity level to 7.
  * Bump Policy compliance to standards-version 3.9.2.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Add proper licensing header to debian/rules, and extend coverage.
  * Update copyright file:
    + Rewrite using draft DEP-5 format.
  * Stop installing obsolete *.la file (not only strip dependency_libs).

71937b2... by Alessio Treglia on 2011-11-29

Import patches-unapplied version 2.2.2-6 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 31576808ed16d558500017aa020d59195c7c23c1

New changelog entries:
  * Team upload.
  * Change Maintainer since the Debian Icecast team is merging
    with the Debian Multimedia Maintainers team.
  * Add git-buildpackage config file.
  * One-dep-per-line style.
  * Bump Standards.
  * Regenerate debian/control file.
  * Switch to 3.0 (quilt) format.
  * Clean-up dependency_libs in .la files (Closes: #633311).

3157680... by Romain Beauxis on 2008-07-09

Import patches-unapplied version 2.2.2-5 to debian/lenny

Imported using git-ubuntu import.